<?php

namespace ShineSoftware\Constriv\Controller\Adminhtml\Log;

use Magento\Backend\App\Action\Context;
use Magento\Framework\Filesystem;

class Cleanup extends AbstractLog
{
    /**
     * @var Filesystem
     */
    protected $_frameworkFilesystem;

    public function __construct(Context $context, 
        Filesystem $frameworkFilesystem)
    {
        $this->_frameworkFilesystem = $frameworkFilesystem;

        parent::__construct($context);
    }

public function execute()
{
$file = $this->_frameworkFilesystem->getDirectoryWrite('media')->getAbsolutePath() .DIRECTORY_SEPARATOR."shinesoftware_constriv.log";
if(@unlink($file)){
Mage::app()->getResponse()->setBody(1);
}else{
Mage::app()->getResponse()->setBody(0);
}
}
}
