<?php

namespace ShineSoftware\Constriv\Model\Source;

use Magento\Cms\Model\BlockFactory;

class Blocks {

    /**
     * @var BlockFactory
     */
    protected $_modelBlockFactory;

    public function __construct(BlockFactory $modelBlockFactory) {
        $this->_modelBlockFactory = $modelBlockFactory;
    }

    public function toOptionArray() {
        $blocks = ['' => __('Please select ...')];
        $collection = $this->_modelBlockFactory->create()->getCollection();
        foreach ($collection as $block) {
            $blocks[$block->getId()] = $block->getTitle();
        }
        return $blocks;
    }

}

;
