<?php

namespace ShineSoftware\Constriv\Model\Source;

class Currencies {

    public function toOptionArray() {
        $options = $this->getCurrencies();
        return $options;
    }

    public function findCurrencyIsoCode($currencycode = 978) {
        $options = $this->getCurrencies();
        foreach ($options as $currency) {
            if ($currencycode == $currency['label']) {
                return $currency['value'];
            }
        }
        return null;
    }

    public function getCurrencies() {
        $options = [];
        $options[] = ['value' => 756, 'label' => "CHF"];
        $options[] = ['value' => 978, 'label' => "EUR"];
        $options[] = ['value' => 826, 'label' => "GBP"];
        $options[] = ['value' => 840, 'label' => "USD"];
        return $options;
    }

}

;
